Bug 1564341 - [abrt] acr_r352_bootstrap: WARNING: CPU: 0 PID: 134 at drivers/gpu/drm/nouveau/nvkm/subdev/secboot/ls_ucode_msgqueue.c:184 acr_ls_sec2_post_run+0x1e6/0x250 [nouveau] [nouveau]
Summary: [abrt] acr_r352_bootstrap: WARNING: CPU: 0 PID: 134 at drivers/gpu/drm/nouvea...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:176da2b22f236de14713a5ef02e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 01:58 UTC by Ricardo
Modified: 2018-11-30 22:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:32:19 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (72.40 KB, text/plain)
2018-04-06 01:58 UTC, Ricardo
no flags Details

Description Ricardo 2018-04-06 01:58:38 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 0 PID: 134 at drivers/gpu/drm/nouveau/nvkm/subdev/secboot/ls_ucode_msgqueue.c:184 acr_ls_sec2_post_run+0x1e6/0x250 [nouveau]
Modules linked in: nouveau(+) video mxm_wmi i2c_algo_bit drm_kms_helper ata_generic pata_acpi ttm crc32c_intel drm serio_raw pata_atiixp r8169 mii wmi
CPU: 0 PID: 134 Comm: kworker/0:2 Not tainted 4.15.14-300.fc27.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. GA-78LMT-USB3 6.0/GA-78LMT-USB3 6.0, BIOS F2 11/25/2014
Workqueue: events work_for_cpu_fn
RIP: 0010:acr_ls_sec2_post_run+0x1e6/0x250 [nouveau]
RSP: 0018:ffffb21dc138b808 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8ba5b4e2c440 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8ba5bec168f0
RBP: ffff8ba5b0493580 R08: 000000000000032e R09: 0000000000000004
R10: ffffee3508b72ac0 R11: 0000000000000001 R12: 0000000000000040
R13: 0000000000000000 R14: ffff8ba5b0b4ab40 R15: ffff8ba5aec7f000
FS:  0000000000000000(0000) GS:ffff8ba5bec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7fcd3c0000 CR3: 00000002304ba000 CR4: 00000000000406f0
Call Trace:
 acr_r352_bootstrap+0x21a/0x280 [nouveau]
 acr_r352_reset+0x35/0x230 [nouveau]
 gf100_gr_init_ctxctl+0x22f/0x990 [nouveau]
 gp100_gr_init+0x6f0/0x730 [nouveau]
 nvkm_engine_init+0x64/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x1f0 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x26e/0x2b0 [nouveau]
 ? nvkm_fifo_chan_dtor+0x100/0x100 [nouveau]
 ? gf100_gr_chsw_load+0x40/0x40 [nouveau]
 nvkm_ioctl+0x10a/0x240 [nouveau]
 nvif_object_init+0xbf/0x110 [nouveau]
 nvc0_fbcon_accel_init+0x55/0x910 [nouveau]
 nouveau_fbcon_create+0x460/0x570 [nouveau]
 __drm_fb_helper_initial_config_and_unlock+0x1d6/0x450 [drm_kms_helper]
 nouveau_fbcon_init+0xf9/0x160 [nouveau]
 nouveau_drm_load+0x207/0x930 [nouveau]
 drm_dev_register+0x132/0x1c0 [drm]
 drm_get_pci_dev+0x95/0x170 [drm]
 nouveau_drm_probe+0x1cd/0x250 [nouveau]
 local_pci_probe+0x42/0xa0
 work_for_cpu_fn+0x16/0x20
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x22/0x40
Code: fc cf e9 7d fe ff ff 49 8b 7f 10 48 8b 5f 50 48 85 db 74 71 e8 fc 14 fc cf 48 89 da 48 89 c6 48 c7 c7 6f dd 6f c0 e8 1a d9 ad cf <0f> 0b e9 c8 fe ff ff 48 8b 04 24 48 8b 78 10 48 8b 5f 50 48 85

Comment 1 Ricardo 2018-04-06 01:58:52 UTC
Created attachment 1417936 [details]
File: dmesg

Comment 2 di.franco 2018-04-08 21:27:02 UTC
Description of problem:
I am not sure what caused this problem. It occurred after the computer was sleeping overnight on AC power, then was disconnected from AC power for several hours and sleeping on battery power, and then I found it was unresponsive when I tried to wake it up and had to hard reset it.

Version-Release number of selected component:
kernel-core-4.15.14-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.14-300.fc27.x86_64 root=UUID=ba27c0d1-6c24-4758-9886-ca7487bd7e7a ro rhgb quiet LANG=en_US.UTF-8
crash_function: acr_r352_bootstrap
kernel:         4.15.14-300.fc27.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 959 at drivers/gpu/drm/nouveau/nvkm/subdev/secboot/ls_ucode_msgqueue.c:184 acr_ls_sec2_post_run+0x1e6/0x250 [nouveau]
Modules linked in: ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat snd_hda_codec_hdmi arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp hid_multitouch kvm_intel iwlmvm kvm iTCO_wdt iTCO_vendor_support mac80211 snd_hda_codec_realtek uvcvideo snd_hda_codec_generic irqbypass dell_laptop videobuf2_vmalloc videobuf2_memops dell_smbios_smm crct10dif_pclmul videobuf2_v4l2 dcdbas videobuf2_core crc32_pclmul dell_smm_hwmon videodev btusb ghash_clmulni_intel btrtl btbcm intel_cstate btintel snd_hda_intel iwlwifi bluetooth media snd_hda_codec intel_uncore snd_hda_core intel_rapl_perf cfg80211 snd_hwdep snd_seq cdc_acm ecdh_generic snd_seq_device snd_pcm dell_wmi wmi_bmof dell_smbios_wmi dell_smbios joydev dell_wmi_descriptor idma64 intel_wmi_thunderbolt
 snd_timer rfkill snd mei_me intel_lpss_pci processor_thermal_device i2c_i801 mei soundcore intel_lpss intel_pch_thermal intel_soc_dts_iosf intel_hid int3402_thermal shpchp tpm_crb sparse_keymap tpm_tis int3403_thermal int340x_thermal_zone tpm_tis_core tpm acpi_pad int3400_thermal acpi_thermal_rel xfs libcrc32c nouveau i915 ttm i2c_algo_bit drm_kms_helper mxm_wmi r8169 nvme crc32c_intel nvme_core drm serio_raw mii i2c_hid wmi video
CPU: 3 PID: 959 Comm: systemd-logind Not tainted 4.15.14-300.fc27.x86_64 #1
Hardware name: Dell Inc. Inspiron 7577/0J8HMF, BIOS 1.4.2 01/25/2018
RIP: 0010:acr_ls_sec2_post_run+0x1e6/0x250 [nouveau]
RSP: 0018:ffffad830411f9b0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff97d0aab1c460 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff97d0cf4d68f0
RBP: ffff97d0a66c7e00 R08: 0000000000000433 R09: 0000000000000004
R10: ffffad830411f850 R11: 0000000000000001 R12: 0000000000000040
R13: 0000000000000000 R14: ffff97d0a4ee8ea0 R15: ffff97d0a5b82400
FS:  00007f4da9d12980(0000) GS:ffff97d0cf4c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005589ce0ff850 CR3: 0000000852282003 CR4: 00000000003606e0
Call Trace:
 acr_r352_bootstrap+0x21a/0x280 [nouveau]
 acr_r352_reset+0x35/0x230 [nouveau]
 gf100_gr_init_ctxctl+0x22f/0x990 [nouveau]
 gp100_gr_init+0x6f0/0x730 [nouveau]
 nvkm_engine_init+0x64/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x1f0 [nouveau]
 nvkm_device_init+0x132/0x260 [nouveau]
 nvkm_udevice_init+0x41/0x60 [nouveau]
 nvkm_object_init+0x3d/0x180 [nouveau]
 nvkm_object_init+0xa0/0x180 [nouveau]
 nvkm_object_init+0xa0/0x180 [nouveau]
 nouveau_do_resume+0x28/0x140 [nouveau]
 nouveau_pmops_runtime_resume+0x8c/0x160 [nouveau]
 pci_pm_runtime_resume+0x7c/0xa0
 ? pci_restore_standard_config+0x40/0x40
 __rpm_callback+0xcd/0x210
 rpm_callback+0x1f/0x70
 ? pci_restore_standard_config+0x40/0x40
 rpm_resume+0x4bf/0x7b0
 __pm_runtime_resume+0x47/0x70
 nouveau_drm_ioctl+0x35/0xc0 [nouveau]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f4da96330f7
RSP: 002b:00007ffe6518c9a8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000559f6d0e8260 RCX: 00007f4da96330f7
RDX: 0000000000000000 RSI: 000000000000641f RDI: 000000000000001b
RBP: 00007ffe6518c9e0 R08: 0000000000000000 R09: 000000000000001e
R10: 00007f4da953eca0 R11: 0000000000000246 R12: 00007ffe6518c9d8
R13: 0000000000000002 R14: 0000000000000005 R15: 0000559f6d0d7f50
Code: e2 e8 e9 7d fe ff ff 49 8b 7f 10 48 8b 5f 50 48 85 db 74 71 e8 fc 94 e2 e8 48 89 da 48 89 c6 48 c7 c7 6f 5d 89 c0 e8 1a 59 94 e8 <0f> 0b e9 c8 fe ff ff 48 8b 04 24 48 8b 78 10 48 8b 5f 50 48 85

Comment 3 David Juran 2018-09-20 08:54:10 UTC
I'm seeing this with 
kernel-4.18.7-100.fc27.x86_64
xorg-x11-drv-nouveau-1.0.15-3.fc27.x86_64

I have a GeForce GTX 1080

When it happens, all graphics on screen are horribly slow and mouse movements are very jumpy

Comment 4 Ben Cotton 2018-11-27 14:39:00 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 22:32:19 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.